requirements.txt 1.29 KB
Newer Older
1 2 3 4
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

5
cachetools>=1.1.0 # MIT License
6
cotyledon>=1.3.0 #Apache-2.0
7 8 9
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
futurist>=0.11.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
10 11
jsonpath-rw-ext>=0.1.9 # Apache-2.0
lxml>=2.3 # BSD
12
monotonic
13
msgpack-python>=0.4.0 # Apache-2.0
14
oslo.concurrency>=3.5.0 # Apache-2.0
15
oslo.config>=3.22.0 # Apache-2.0
16
oslo.i18n>=2.1.0 # Apache-2.0
17
oslo.log>=1.14.0 # Apache-2.0
18
oslo.reports>=0.6.0 # Apache-2.0
19
oslo.rootwrap>=2.0.0 # Apache-2.0
20
pbr>=1.6 # Apache-2.0
21
oslo.messaging>=5.12.0 # Apache-2.0
22
oslo.utils>=3.5.0 # Apache-2.0
23
pysnmp<5.0.0,>=4.2.3 # BSD
24
python-glanceclient>=2.0.0 # Apache-2.0
25
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
26
keystoneauth1>=2.1.0 # Apache-2.0
27
python-neutronclient>=4.2.0 # Apache-2.0
28 29
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
30
python-cinderclient>=1.6.0,!=1.7.0,!=1.7.1  # Apache-2.0
31 32 33
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
34
stevedore>=1.9.0 # Apache-2.0
35
tenacity>=3.2.1  # Apache-2.0
36
tooz[zake]>=1.47.0 # Apache-2.0
37
os-xenapi>=0.1.1 # Apache-2.0